Summary:	Utilities for configuring ISA Plug-and-Play (PnP) devices
Name:		isapnptools
%define		pversion 1.21
Version:	%{pversion}
Release:	4mdk
Copyright:	GPL
Group:		System/Configuration/Hardware

Source:		ftp://ftp.demon.co.uk/pub/unix/linux/utils/isapnptools-%{pversion}.tar.bz2
Patch:		isapnptools-rpm.patch.bz2
Patch1:		isapnptools-1.21a.patch.bz2
Patch2:		isapnptools-1.21b.patch.bz2

ExclusiveArch: i386 i486 i586 i686 k6 k7 alpha
BuildRoot:	%{_tmppath}/isapnptools-root

%description
The isapnptools package contains utilities for configuring ISA
Plug-and-Play (PnP) cards which are in compliance with the PnP ISA
Specification Version 1.0a.  ISA PnP cards use registers instead of
jumpers for setting the board address and interrupt assignments.  The
cards also contain descriptions of the resources which need to be
allocated.  The BIOS on your system, or isapnptools, uses a protocol
described in the specification to find all of the PnP boards and
allocate the resources so that none of them conflict.

Note that the BIOS doesn't do a very good job of allocating resources.
So isapnptools is suitable for all systems, whether or not they
include a PnP BIOS. In fact, a PnP BIOS adds some complications.  A
PnP BIOS may already activate some cards so that the drivers can find
them.  Then these tools can unconfigure them or change their settings,
causing all sorts of nasty effects. If you have PnP network cards that
already work, you should read through the documentation files very
carefully before you use isapnptools.

Install isapnptools if you need utilities for configuring ISA PnP
cards.

%package devel
Summary:	Devel librairies for configuring ISA Plug-and-Play (PnP) devices
Group:		System/Libraries
Requires:	%{name}

%description devel
The isapnptools package contains utilities for configuring ISA
Plug-and-Play (PnP) cards which are in compliance with the PnP ISA
Specification Version 1.0a.  ISA PnP cards use registers instead of
jumpers for setting the board address and interrupt assignments.  The
cards also contain descriptions of the resources which need to be
allocated.  The BIOS on your system, or isapnptools, uses a protocol
described in the specification to find all of the PnP boards and
allocate the resources so that none of them conflict.

Note that the BIOS doesn't do a very good job of allocating resources.
So isapnptools is suitable for all systems, whether or not they
include a PnP BIOS. In fact, a PnP BIOS adds some complications.  A
PnP BIOS may already activate some cards so that the drivers can find
them.  Then these tools can unconfigure them or change their settings,
causing all sorts of nasty effects. If you have PnP network cards that
already work, you should read through the documentation files very
carefully before you use isapnptools.

Install isapnptools-devel if you need to do developement with ISA PnP
cards.

%prep
%setup -n isapnptools-%{pversion}

%patch -p0 -b .cfl
%patch1 -p0 -b .121a
%patch2 -p0 -b .121b

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
sed -e "s/^\([^#]\)/#\1/" < isapnp.gone > isapnp.tmp
%ifarch alpha
sed -e "s/#IRQ 7/IRQ 7/" < isapnp.tmp > isapnp.tmp2
mv -f isapnp.tmp2 isapnp.tmp
%endif 
mv -f isapnp.tmp isapnp.gone

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/{sbin,usr/man/man5,usr/man/man8,etc}
make installprefix=$RPM_BUILD_ROOT/ installdir=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/usr/include
install -c -m 664  pnp-access.h $RPM_BUILD_ROOT/usr/include
install -c -m 664  release.h $RPM_BUILD_ROOT/usr/include
install -c -m 664  resource.h $RPM_BUILD_ROOT/usr/include
install -c -m 664  pnp.h $RPM_BUILD_ROOT/usr/include
install -c -m 664  errenum.h $RPM_BUILD_ROOT/usr/include
install -c -m 664  errcodes.h $RPM_BUILD_ROOT/usr/include
install -c -m 664  res-access.h $RPM_BUILD_ROOT/usr/include

#bzip2 -9 $RPM_BUILD_ROOT/usr/man/*/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING INSTALL README README.ide README.lib README.initrd README.modules
%doc *.txt isapnp.conf isapnp.lsm
%doc config-scripts/YMH0021
%config(missingok) %attr(0644,root,root) /etc/isapnp.gone
/sbin/*
/usr/man/*/*

%files devel
%defattr(-,root,root)
/usr/lib/*.a
/usr/include

%changelog
* Mon Apr 24 2000 David BAUDENS <baudens@mandrakesoft.com> 1.21-4mdk
- Add missing x86 archs
- Use %%{_tmppath} for BuildRoot

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 1.21-3mdk
- adjust group cleanup man pages (pixel ;-))

* Wed Jan 26 2000 Alexandre Dussart <adussart@mandrakesoft.com>
- Patch 1.21b

* Mon Dec 07 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 1.21
- Removed obsolete patch.
- Patch 1.21a

* Mon Dec 07 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Added some others headers files.
- Added README.lib

* Mon Dec 06 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Added pnp-access.h

* Mon Dec 6 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add devel package.

* Mon Dec 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.20.

* Tue Nov 2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove %post.
- Merge with rh patchs.

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.19.

* Tue Sep 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove my patch and add the official patch.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch to don't make Check by default.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Tue Feb 16 1999 Bill Nottingham <notting@redhat.com>
- update to version 1.18

* Wed Nov 11 1998 Bill Nottingham <notting@redhat.com>
- update to version 1.17

* Mon Nov  2 1998 Bill Nottingham <notting@redhat.com>
- add /etc/isapnp.gone
- default to not using IRQ 7 on alpha

* Mon Oct 12 1998 Bill Nottingham <notting@redhat.com>
- update to version 1.16

* Mon Oct  5 1998 Bill Nottingham <notting@redhat.com>
- add %post to twiddle readport of old /etc/isapnp.conf files

* Thu Sep 24 1998 Bill Nottingham <notting@redhat.com>
- fixed spec file so it rebuild cleanly

* Fri Aug 07 1998 Bill Nottingham <notting@redhat.com>
- added patch to bump to 1.15a

* Tue Aug 04 1998 Bill Nottingham <notting@redhat.com>
- updated to version 1.15

* Fri Oct 03 1997 Michael Fulbright <msf@redhat.com>
- added code to avoid probing in IO port ranges in /proc/ioports

* Fri Aug 22 1997 Mike Wangsmo <wanger@redhat.com>
- Built against glibc

* Thu Jul 17 1997 Timo Karjalainen <timok@iki.fi>
- Updated to version 1.11
- Added RPM_OPT_FLAGS
- Uses BuildRoot
